## oce 0.8-9

=== DESCRIPTION ===
Package: oce
Version: 0.8-9
Date: 2012-05-25
Title: Analysis of Oceanographic data
Author: Dan Kelley <Dan.Kelley@Dal.Ca>
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods
Suggests: ncdf, foreign
BugReports:
        https://github.com/dankelley/oce/issues?sort=created&direction=desc&state=open
Description: Supports the analysis of Oceanographic data, including ADP
        measurements, CTD measurements, sectional data, sea-level time
        series, coastline files, etc.  Provides functions for
        calculating seawater properties such as potential temperature
        and density, as well as derived properties such as buoyancy
        frequency and dynamic height.
License: GPL (>= 2)
URL: http://dankelley.github.com/oce/
LazyLoad: yes
Packaged: 2012-05-25 16:52:05.987 UTC; kelley
Repository: CRAN
Date/Publication: 2012-05-25 17:18:51

## oce 0.8-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.8-9
-Date: 2012-05-25
+Version: 0.8-10
+Date: 2012-06-12
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-05-25 16:52:05.987 UTC; kelley
+Packaged: 2012-06-12 11:13:45.161 UTC; kelley
 Repository: CRAN
-Date/Publication: 2012-05-25 17:18:51
+Date/Publication: 2012-06-12 13:39:18

## oce 0.8.0

=== CMakeLists.txt ===
# REQUIREMENTS: this script needs CMake 2.8 or higher. Downloads are available at http://www.cmake.org

# How to build OCE using CMake under Unix (Linux, Darwin etc.)?
# 1. Copy this file, as-is, to the top-level OCE folder
# 2. Make a build directory somewhere outside the OCE source tree
# 3. cmake "relative/path/to/OCE"
# 4. make
# 5. make install (or sudo make install)

# How to build OCE using CMake under Windows (Linux, Darwin etc.)?
# 1. Copy this file, as-is, to the top-level folder
# 2. Launch the cmake-gui, and select the top-level folder
# 3. You can choose whatever you want as an install directory
# 4. Click 'Configure'
# 5. Choose your generator
# 6. When configure is achived, you can change the variable with a red background
# 7. Click 'Generate'
# 8. From your IDE, open the generated makefile and run the compilation.

PROJECT(OCE)

SET(OCE_VERSION_MAJOR 0)
SET(OCE_VERSION_MINOR 8)
SET(OCE_VERSION_PATCH 0)
#  Empty for official releases, set to -dev, -rc1, etc for development releases
SET(OCE_VERSION_DEVEL )

SET(OCE_VERSION ${OCE_VERSION_MAJOR}.${OCE_VERSION_MINOR}.${OCE_VERSION_PATCH}${OCE_VERSION_DEVEL})

SET(OCE_ABI_SOVERSION 1)
SET(OCE_ABI_VERSION ${OCE_ABI_SOVERSION}.1.0)

# Set the minimum version of cmake required to 2.6
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )

# Define helper macro OPTION_WITH_DEFAULT
MACRO( OPTION_WITH_DEFAULT OPTION_NAME OPTION_STRING OPTION_DEFAULT )
	IF( NOT DEFINED ${OPTION_NAME} )
		SET( ${OPTION_NAME} ${OPTION_DEFAULT} )
	ENDIF( NOT DEFINED ${OPTION_NAME} )
	OPTION( ${OPTION_NAME} "${OPTION_STRING}" ${${OPTION_NAME}} )
ENDMACRO( OPTION_WITH_DEFAULT OPTION_NAME OPTION_STRING OPTION_DEFAULT )

############################
# Check 32/64 bit platform #
############################
IF (${CMAKE_SIZEOF_VOID_P} MATCHES "8") # It is 64bit, otherwise 32 bit systems match 4
	ADD_DEFINITIONS(-D_OCC64)
	SET(BIT 64)
ELSE (${CMAKE_SIZEOF_VOID_P} MATCHES "8")
	SET(BIT 32)
ENDIF(${CMAKE_SIZEOF_VOID_P} MATCHES "8")

MESSAGE(STATUS "Build ${BIT}bit")

IF (NOT MSVC)
	IF( NOT DEFINED ${PROJECT_NAME}_BUILD_TYPE )
		SET( ${PROJECT_NAME}_BUILD_TYPE "Release" CACHE STRING "Build type" ) # By default set release build
	ENDIF( NOT DEFINED ${PROJECT_NAME}_BUILD_TYPE )
	SET( CMAKE_BUILD_TYPE ${${PROJECT_NAME}_BUILD_TYPE} CACHE INTERNAL "Build type,
		immutable" FORCE )
ENDIF(NOT MSVC)

IF(CMAKE_BUILD_TOOL STREQUAL "nmake")
	SET(NMAKE TRUE)
ENDIF(CMAKE_BUILD_TOOL STREQUAL "nmake")

IF(MSVC)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_INSTALL_PDB_FILES "Install PDB files (debug informations)" ON )
ENDIF(MSVC)

IF(MSVC)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_USE_BUNDLE "Use OCE Windows Bundle" OFF )
ENDIF(MSVC)

IF(${PROJECT_NAME}_USE_BUNDLE)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_BUNDLE_AUTOINSTALL "Autoinstall bundle DLLs" ON )
	MARK_AS_ADVANCED(${PROJECT_NAME}_BUNDLE_AUTOINSTALL)
ENDIF(${PROJECT_NAME}_USE_BUNDLE)

IF (MSVC AND NOT NMAKE)
	SET(${PROJECT_NAME}_COMPILER_SUPPORTS_PCH TRUE)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_USE_PCH "Use Precompiled Headers" ON )
	MARK_AS_ADVANCED(${PROJECT_NAME}_USE_PCH)
ENDIF(MSVC AND NOT NMAKE)

OPTION_WITH_DEFAULT( ${PROJECT_NAME}_BUILD_SHARED_LIB "Build shared ${PROJECT_NAME} libs" ON )
IF(NOT MSVC)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_DISABLE_X11 "Disable components requiring X11 support" OFF )
	IF(NOT APPLE AND NOT WIN32)
		MARK_AS_ADVANCED(${PROJECT_NAME}_DISABLE_X11)
	ENDIF(NOT APPLE AND NOT WIN32)
ENDIF(NOT MSVC)
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_MODEL "Build model components" ON )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_OCAF "Build application framework" ON )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_DATAEXCHANGE "Build data exchange" ON )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_DRAW "Build test harness \(DRAW\)" OFF )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_VISUALISATION "Build visualisation component" ON )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_WITH_GL2PS "Build with GL2PS" OFF )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_WITH_FREEIMAGE "Build with FreeImage" OFF )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_EXTRA_WARNINGS "Enable Maximum Warnings Level" OFF )
MARK_AS_ADVANCED(${PROJECT_NAME}_EXTRA_WARNINGS)
IF( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_TESTING "Enable unittesting framework" OFF )
	MARK_AS_ADVANCED(${PROJECT_NAME}_TESTING)
ENDIF( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_ADD_HEADERS "Add headers to project files" OFF )
MARK_AS_ADVANCED(${PROJECT_NAME}_ADD_HEADERS)
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_DISABLE_BSPLINE_MESHER "Disable BSpline Mesher" OFF )
MARK_AS_ADVANCED(${PROJECT_NAME}_DISABLE_BSPLINE_MESHER)
OPTION_WITH_DEFAULT( ${PROJECT_NAME}_RPATH_FILTER_SYSTEM_PATHS "Filter out system paths from RPATH" ON )
MARK_AS_ADVANCED(${PROJECT_NAME}_RPATH_FILTER_SYSTEM_PATHS)

# The default for the DEB define is ON for all the platforms , in debug mode.
# In MSVC it is not desirable to have it ON by default, since users must 
# compile/use the OCE debug libraries to build it's own programs in DEBUG mode.
# DEB should be enabled by developers only, in this case
IF (MSVC AND CMAKE_CONFIGURATION_TYPES)
  SET (DEB_DEFAULT "OFF")
ELSE ()
   SET (DEB_DEFAULT "ON")
ENDIF (MSVC AND CMAKE_CONFIGURATION_TYPES)

OPTION_WITH_DEFAULT( ${PROJECT_NAME}_ENABLE_DEB_FLAG "Enables DEB define in debug configuration" ${DEB_DEFAULT} )
MARK_AS_ADVANCED(${PROJECT_NAME}_ENABLE_DEB_FLAG)

IF(NOT MSVC)
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_COVERAGE "Build with coverage testing" OFF )
	MARK_AS_ADVANCED(${PROJECT_NAME}_COVERAGE)
ENDIF(NOT MSVC)

IF( NOT DEFINED ${PROJECT_NAME}_MULTITHREAD_LIBRARY)
	SET( ${PROJECT_NAME}_MULTITHREAD_LIBRARY "NONE" CACHE STRING "(values are: NONE TBB OPENMP)" )
ENDIF( NOT DEFINED ${PROJECT_NAME}_MULTITHREAD_LIBRARY)

IF( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )
	SET_PROPERTY(CACHE ${PROJECT_NAME}_MULTITHREAD_LIBRARY PROPERTY STRINGS NONE TBB OPENMP)
ENDIF( NOT "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8 )

OPTION( ${PROJECT_NAME}_MULTITHREAD_LIBRARY "Multithread library" ${${PROJECT_NAME}_MULTITHREAD_LIBRARY} )

IF( ${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "TBB" )
	OPTION_WITH_DEFAULT( ${PROJECT_NAME}_TBB_MALLOC_SUPPORT "Use TBB for memory allocation" ON )
ENDIF( ${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "TBB" )

IF( NOT DEFINED ${PROJECT_NAME}_INSTALL_PREFIX )
	IF( WIN32 )
		SET(${PROJECT_NAME}_INSTALL_PREFIX
			"c:/${PROJECT_NAME}-${${PROJECT_NAME}_VERSION}")
	ELSE( WIN32 )
		SET(${PROJECT_NAME}_INSTALL_PREFIX
			"/usr/local")
	ENDIF( WIN32 )
ENDIF( NOT DEFINED ${PROJECT_NAME}_INSTALL_PREFIX )

SET( ${PROJECT_NAME}_INSTALL_PREFIX ${${PROJECT_NAME}_INSTALL_PREFIX} CACHE
	PATH "Install prefix prepended to target to create install location" )
SET( CMAKE_INSTALL_PREFIX "${${PROJECT_NAME}_INSTALL_PREFIX}" CACHE INTERNAL "Prefix
	prepended to install directories if target destination is not absolute,
	immutable" FORCE )

IF( ${PROJECT_NAME}_BUILD_SHARED_LIB )
	SET( ${PROJECT_NAME}_LIBRARY_TYPE SHARED )
	SET( ${PROJECT_NAME}_BUILD_STATIC_LIB FALSE )
ELSE( ${PROJECT_NAME}_BUILD_SHARED_LIB )
	SET( ${PROJECT_NAME}_LIBRARY_TYPE STATIC )
	SET( ${PROJECT_NAME}_BUILD_STATIC_LIB TRUE )
	IF ( WIN32 )
		ADD_DEFINITIONS("-DHAVE_NO_DLL")
	ENDIF( WIN32 )
ENDIF( ${PROJECT_NAME}_BUILD_SHARED_LIB )

# MSVC specific options
IF(MSVC_IDE)
	IF (NOT DEFINED ${PROJECT_NAME}_USE_MSVC_EXPRESS )
		SET (${PROJECT_NAME}_USE_MSVC_EXPRESS OFF)
	ENDIF (NOT DEFINED ${PROJECT_NAME}_USE_MSVC_EXPRESS)
	OPTION( ${PROJECT_NAME}_USE_MSVC_EXPRESS "Use a Visual C++ express IDE"
		${${PROJECT_NAME}_USE_MSVC_EXPRESS} )
ENDIF(MSVC_IDE)

SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_RELEASE NDEBUG)
SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_MINSIZEREL NDEBUG)
SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_RELWITHDEBINFO  NDEBUG)

IF(${PROJECT_NAME}_ENABLE_DEB_FLAG)
  SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_DEBUG "DEB;_DEBUG")
ELSE ()
  SET_DIRECTORY_PROPERTIES(PROPERTIES COMPILE_DEFINITIONS_DEBUG "_DEBUG")
ENDIF (${PROJECT_NAME}_ENABLE_DEB_FLAG)

#
# Check components dependencies
#
SET(${PROJECT_NAME}_FOUNDATION TRUE)
IF(${PROJECT_NAME}_OCAF OR ${PROJECT_NAME}_DATAEXCHANGE OR ${PROJECT_NAME}_VISUALISATION OR ${PROJECT_NAME}_DRAW)
  SET(${PROJECT_NAME}_VISU_DEP TRUE)
ELSE(${PROJECT_NAME}_OCAF OR ${PROJECT_NAME}_DATAEXCHANGE OR ${PROJECT_NAME}_VISUALISATION OR ${PROJECT_NAME}_DRAW)
  SET(${PROJECT_NAME}_VISU_DEP FALSE)
ENDIF(${PROJECT_NAME}_OCAF OR ${PROJECT_NAME}_DATAEXCHANGE OR ${PROJECT_NAME}_VISUALISATION OR ${PROJECT_NAME}_DRAW)
IF(${PROJECT_NAME}_DISABLE_X11)
	SET(${PROJECT_NAME}_VISU_DEP FALSE)
ENDIF(${PROJECT_NAME}_DISABLE_X11)
IF(${PROJECT_NAME}_DISABLE_X11)
	SET(${PROJECT_NAME}_DRAW OFF CACHE BOOL "Build DRAWEXE" FORCE)
	SET(${PROJECT_NAME}_VISUALISATION OFF CACHE BOOL "Build visualisation component" FORCE)
ENDIF(${PROJECT_NAME}_DISABLE_X11)

IF(NOT ${PROJECT_NAME}_BUILD_SHARED_LIB AND ${PROJECT_NAME}_DRAW)
	SET(${PROJECT_NAME}_DRAW OFF CACHE BOOL "Build DRAWEXE" FORCE)
	MESSAGE("Warning : DRAW disabled when statically linking")
ENDIF(NOT ${PROJECT_NAME}_BUILD_SHARED_LIB AND ${PROJECT_NAME}_DRAW)

IF(${PROJECT_NAME}_DRAW AND NOT ${PROJECT_NAME}_DATAEXCHANGE)
	SET(${PROJECT_NAME}_DATAEXCHANGE ON CACHE BOOL "Build data exchange" FORCE)
ENDIF(${PROJECT_NAME}_DRAW AND NOT ${PROJECT_NAME}_DATAEXCHANGE)
IF(${PROJECT_NAME}_DATAEXCHANGE AND NOT ${PROJECT_NAME}_OCAF)
	SET(${PROJECT_NAME}_OCAF ON CACHE BOOL "Build application framework" FORCE)
ENDIF(${PROJECT_NAME}_DATAEXCHANGE AND NOT ${PROJECT_NAME}_OCAF)
IF(${PROJECT_NAME}_OCAF AND NOT ${PROJECT_NAME}_MODEL)
	SET(${PROJECT_NAME}_MODEL ON CACHE BOOL "Build model components" FORCE)
ENDIF(${PROJECT_NAME}_OCAF AND NOT ${PROJECT_NAME}_MODEL)
IF(${PROJECT_NAME}_VISUALISATION AND NOT ${PROJECT_NAME}_MODEL)
	SET(${PROJECT_NAME}_MODEL ON CACHE BOOL "Build model components" FORCE)
ENDIF(${PROJECT_NAME}_VISUALISATION AND NOT ${PROJECT_NAME}_MODEL)
IF(${PROJECT_NAME}_DRAW AND NOT ${PROJECT_NAME}_VISUALISATION)
	SET(${PROJECT_NAME}_VISUALISATION ON CACHE BOOL "Build visualisation component" FORCE)
ENDIF(${PROJECT_NAME}_DRAW AND NOT ${PROJECT_NAME}_VISUALISATION)

SET(INSTALL_STDRESOURCE_FILES)
SET(INSTALL_RESOURCE_FILES)
FILE(GLOB OS_TCL_SCRIPTS RELATIVE ${${PROJECT_NAME}_SOURCE_DIR} src/OS/*.tcl)
SET(INSTALL_RESOURCE_FILES ${INSTALL_RESOURCE_FILES}
	${OS_TCL_SCRIPTS}
	src/UnitsAPI/Lexi_Expr.dat
	src/UnitsAPI/Units.dat )
SET(INSTALL_STDRESOURCE_FILES ${INSTALL_STDRESOURCE_FILES}
	src/UnitsAPI/CurrentUnits
	src/UnitsAPI/MDTVBaseUnits
	src/UnitsAPI/MDTVCurrentUnits )

FIND_PACKAGE(Threads)
IF(${PROJECT_NAME}_MULTITHREAD_LIBRARY STREQUAL "TBB")
	FIND_PATH(TBB_INCLUDE_DIR tbb/tbb.h DOC "Location of header files for TBB (containing tbb/tbb.h)" ${CMAKE_SYSTEM_INCLUDE_PATH})
	IF(TBB_INCLUDE_DIR)
		IF(MSVC)
			IF(CMAKE_CL_64)
				SET(TBB_ARCH intel64)
			ELSE(CMAKE_CL_64)
				SET(TBB_ARCH ia32)
			ENDIF(CMAKE_CL_64)

			GET_FILENAME_COMPONENT(TBB_ROOT "${TBB_INCLUDE_DIR}/.." ABSOLUTE)
			IF(OCE_BUILD_SHARED_LIB)
				IF(MSVC80)
					SET(TBB_BIN_DIR "${TBB_ROOT}/bin/${TBB_ARCH}/vc8")
					SET(TBB_LIB_DIR "${TBB_ROOT}/lib/${TBB_ARCH}/vc8")
				ELSEIF(MSVC90)
					SET(TBB_BIN_DIR "${TBB_ROOT}/bin/${TBB_ARCH}/vc9")
					SET(TBB_LIB_DIR "${TBB_ROOT}/lib/${TBB_ARCH}/vc9")
				ELSEIF(MSVC10)
					SET(TBB_BIN_DIR "${TBB_ROOT}/bin/${TBB_ARCH}/vc10")
					SET(TBB_LIB_DIR "${TBB_ROOT}/lib/${TBB_ARCH}/vc10")
				ENDIF()
			ELSE(OCE_BUILD_SHARED_LIB)
				SET(TBB_LIB_DIR "${TBB_ROOT}/lib/${TBB_ARCH}/vc_mt")
			ENDIF(OCE_BUILD_SHARED_LIB)
		ENDIF(MSVC)

		FIND_LIBRARY( TBB_LIBRARY tbb PATHS "${TBB_LIB_DIR}" "Path to the TBB library" )
		IF (${PROJECT_NAME}_TBB_MALLOC_SUPPORT)
			FIND_LIBRARY( TBB_MALLOC_LIBRARY tbbmalloc PATHS "${TBB_LIB_DIR}" "Path to the TBB MALLOC library")
		ENDIF (${PROJECT_NAME}_TBB_MALLOC_SUPPORT)
		IF(CMAKE_CONFIGURATION_TYPES OR NMAKE)

=== test/BRepAlgoAPI_test/CMakeLists.txt ===
ADD_OCE_TEST(boolean_ops_test "TKPrim;TKBO")

=== test/BRepExtrema_test/CMakeLists.txt ===
ADD_OCE_TEST(BRepExtrema_test "TKPrim")

=== test/BRepGProp_test/CMakeLists.txt ===
ADD_OCE_TEST(BRepGProp_test "TKG2d;TKPrim;TKTopAlgo")

=== test/BRepImport_test/CMakeLists.txt ===
SET(brep_file_1 ${CMAKE_SOURCE_DIR}/test/data/brep/15_cylinder_head.brep)
SET(brep_file_2 ${CMAKE_SOURCE_DIR}/test/data/brep/27_leverarm.brep)
SET(brep_file_3 ${CMAKE_SOURCE_DIR}/test/data/brep/29_misc1.brep)
SET(brep_file_4 ${CMAKE_SOURCE_DIR}/test/data/brep/31_misc2.brep)

CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/BRepImport_test_config.h.cmake ${CMAKE_BINARY_DIR}/test_inc/BRepImport_test_config.h )
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/test_inc)

ADD_OCE_TEST(BRepImport_test "TKernel;TKSTEP")

=== test/BRepMesh_test/CMakeLists.txt ===
ADD_OCE_TEST(BRepMesh_test "TKernel;TKBRep;TKMath;TKTopAlgo;TKPrim;TKMesh")

=== test/BRepOffsetAPI_test/CMakeLists.txt ===
ADD_OCE_TEST(BRepOffsetAPI_test "TKOffset")

=== test/IGESImport_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_DATAEXCHANGE)
  SET(iges_file_1 ${CMAKE_SOURCE_DIR}/test/data/IGES/hammer.igs)

  CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/IGESImport_test_config.h.cmake ${CMAKE_BINARY_DIR}/test_inc/IGESImport_test_config.h )
  INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/test_inc)

  ADD_OCE_TEST(IGESImport_test "TKernel;TKIGES")
ENDIF(${PROJECT_NAME}_DATAEXCHANGE)

=== test/STEPImport_test/CMakeLists.txt ===
SET(step_file_ap203_1 ${CMAKE_SOURCE_DIR}/test/data/STEP/as1-tu-203.stp)
SET(step_file_ap203_2 ${CMAKE_SOURCE_DIR}/test/data/STEP/as1_pe_203.stp)
SET(step_file_ap214_1 ${CMAKE_SOURCE_DIR}/test/data/STEP/as1-oc-214.stp)
SET(step_file_ap214_2 ${CMAKE_SOURCE_DIR}/test/data/STEP/io1-cm-214.stp)
SET(step_file_ap214_3 ${CMAKE_SOURCE_DIR}/test/data/STEP/sg1-c5-214.stp)

CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/STEPImport_test_config.h.cmake ${CMAKE_BINARY_DIR}/test_inc/STEPImport_test_config.h )
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/test_inc)

ADD_OCE_TEST(STEPImport_test "TKernel;TKSTEP")

=== test/Standard_StdAllocator_test/CMakeLists.txt ===
ADD_OCE_TEST(Standard_StdAllocator_test "TKernel;TKPrim")

=== test/TDataXtd_test/CMakeLists.txt ===
IF (${PROJECT_NAME}_OCAF)
  ADD_OCE_TEST(TDataXtd_test "TKCAF;TKXCAF")
ENDIF (${PROJECT_NAME}_OCAF)

=== test/gp_test/CMakeLists.txt ===
ADD_OCE_TEST(gp_test "TKG2d")

=== debian/changelog ===
oce (0.8.0-1) unstable; urgency=low

  [ Denis Barbier ]
  * New upstream version.
  * debian/rules: enable parallel builds.
  * debian/control: With this version, we do no more need
    to use chrpath, RPATH can be set to the right values.
  * debian/control: Add "Community Edition" to all descriptions.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sat, 07 Jan 2012 18:44:34 -0800

=== debian/control ===
Source: oce
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), quilt, cmake,
 libx11-dev, libxmu-dev, libxext-dev, tcl8.5-dev, tk8.5-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libftgl-dev, libgl2ps-dev
Homepage: https://github.com/tpaviot/oce/wiki
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/oce.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/oce.git

Package: liboce-foundation1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package contains foundation classes which provide a variety of
 general-purpose services such as automated management of heap memory,
 exception handling, classes for manipulating aggregates of data, basic
 math tools.
 .
 This package contains the following shared libraries:
   TKernel TKMath TKAdvTools

Package: liboce-modeling1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package supplies data structures to represent 2D and 3D geometric models,
 as well as topological and geometrical algorithms.
 .
 This package contains the following shared libraries:
   TKG2d TKG3d TKGeomBase TKBRep TKGeomAlgo TKTopAlgo TKPrim TKBO TKHLR
   TKMesh TKShHealing TKXMesh TKBool TKFillet TKFeat TKOffset TKSTL
   TKXSBase TKSTEPBase TKIGES TKSTEPAttr TKSTEP209 TKSTEP

Package: liboce-visualization1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
   TKService TKV2d TKV3d TKOpenGl TKMeshVS TKNIS TKVRML TKVoxel

Package: liboce-ocaf-lite1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package is part of the OpenCASCADE Application Framework, it
 provides shared libraries which have no dependency against X11.
 .
 This package contains the following shared libraries:
   TKCDF PTKernel TKLCAF FWOSPlugin TKPShape TKBinL TKXmlL
   TKPLCAF TKTObj TKShapeSchema TKStdLSchema

Package: liboce-ocaf1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package provides OpenCASCADE Application Framework services and 
 support for data exchange.
 .
 This package contains the following shared libraries:
   TKCAF TKBin TKXml TKPCAF TKBinTObj TKXmlTObj TKStdSchema
   TKXCAF TKXCAFSchema TKXmlXCAF TKBinXCAF TKXDEIGES TKXDESTEP

Package: oce-draw
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: opencascade-draw
Conflicts: opencascade-draw
Description: OpenCASCADE Community Edition CAE platform shared library
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package is based on OCE, OpenCASCADE Community Edition, which is
 maintained by a community of developers, and not by OpenCASCADE SAS.
 .
 This package contains the DRAW test harness.

Package: liboce-foundation-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation1 (>= ${source:Upstream-Version}), liboce-foundation1 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-foundation-dev
Conflicts: libopencascade-foundation-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-foundation1.

Package: liboce-modeling-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation-dev,
         liboce-modeling1 (>= ${source:Upstream-Version}), liboce-modeling1 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-modeling-dev
Conflicts: libopencascade-modeling-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-modeling1.

Package: liboce-ocaf-lite-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation-dev,
         liboce-modeling-dev,
         liboce-ocaf-lite1 (>= ${source:Upstream-Version}), liboce-ocaf-lite1 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-lite-dev
Conflicts: libopencascade-ocaf-lite-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-ocaf-lite1.

Package: liboce-ocaf-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation-dev,
         liboce-modeling-dev,
         liboce-ocaf-lite-dev,
         liboce-ocaf1 (>= ${source:Upstream-Version}), liboce-ocaf1 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-dev
Conflicts: libopencascade-ocaf-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-ocaf1.

Package: liboce-visualization-dev
Architecture: all
Section: libdevel
Depends: liboce-foundation-dev,
         liboce-modeling-dev,
         liboce-ocaf-lite-dev,
         liboce-visualization1 (>= ${source:Upstream-Version}), liboce-visualization1 (<< ${source:Upstream-Version}+1~),
         ${misc:Depends}
Replaces: libopencascade-ocaf-lite-dev
Conflicts: libopencascade-ocaf-lite-dev
Description: OpenCASCADE Community Edition CAE platform library development files
 OpenCASCADE is a suite for 3D surface and solid modeling, visualization, data
 exchange and rapid application development.  It is an excellent platform for
 development of numerical simulation software including CAD/CAM/CAE, AEC and
 GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 liboce-visualization1.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
        -DOCE_BUILD_SHARED_LIB:BOOL=ON \
        -DOCE_BUILD_TYPE:STRING=Release \
        -DOCE_INSTALL_PREFIX:PATH=/usr \
        -DOCE_DRAW:BOOL=ON \
        -DOCE_RPATH_FILTER_SYSTEM_PATHS:BOOL=ON \
        -DOCE_MULTITHREAD_LIBRARY:STRING=NONE \
        -DOCE_WITH_FREEIMAGE:BOOL=ON \
        -DOCE_WITH_GL2PS:BOOL=ON

override_dh_auto_install:
	dh_auto_install
	# Improve integration in Debian desktop
	install -d debian/tmp/usr/share/applications
	cp -p debian/oce-draw.desktop debian/tmp/usr/share/applications/
	install -d debian/tmp/usr/share/pixmaps
	cp -p debian/occ-icon-32.xpm debian/tmp/usr/share/pixmaps/
	install -d debian/tmp/usr/share/man/man1
	# Install manual page
	cp -p debian/DRAWEXE.1 debian/tmp/usr/share/man/man1/
	find debian/tmp/usr/share -name FILES -exec rm -f {} \;

override_dh_install:
	dh_install --list-missing
	rm -rf debian/oce-draw/usr/include

override_dh_makeshlibs:
	dh_makeshlibs -Noce-draw

## oce 0.9-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.8-10
-Date: 2012-06-12
+Version: 0.9-2
+Date: 2012-07-29
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-06-12 11:13:45.161 UTC; kelley
+Packaged: 2012-07-29 15:31:04.052 UTC; kelley
 Repository: CRAN
-Date/Publication: 2012-06-12 13:39:18
+Date/Publication: 2012-07-29 18:21:03

## oce 0.9-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-2
-Date: 2012-07-29
+Version: 0.9-3
+Date: 2012-09-04
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-07-29 15:31:04.052 UTC; kelley
+Packaged: 2012-09-04 17:27:56.661 UTC; kelley
 Repository: CRAN
-Date/Publication: 2012-07-29 18:21:03
+Date/Publication: 2012-09-04 19:02:21

## oce 0.9-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: oce
-Version: 0.9-3
-Date: 2012-09-04
+Version: 0.9-5
+Date: 2012-12-15
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
-Depends: R (>= 2.15), utils, methods
+Depends: R (>= 2.15), utils, methods, mapproj
 Suggests: ncdf, foreign
 BugReports:
         https://github.com/dankelley/oce/issues?sort=created&direction=desc&state=open
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-09-04 17:27:56.661 UTC; kelley
+Packaged: 2012-12-15 12:15:26.655 UTC; kelley
 Repository: CRAN
-Date/Publication: 2012-09-04 19:02:21
+Date/Publication: 2012-12-15 15:47:36

## oce 0.9-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: oce
-Version: 0.9-5
+Version: 0.9-6
 Date: 2012-12-15
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-12-15 12:15:26.655 UTC; kelley
+Packaged: 2012-12-16 16:19:44.044 UTC; kelley
 Repository: CRAN
-Date/Publication: 2012-12-15 15:47:36
+Date/Publication: 2012-12-16 17:42:46

## oce 0.9-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-6
-Date: 2012-12-15
+Version: 0.9-8
+Date: 2013-04-23
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,8 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-12-16 16:19:44.044 UTC; kelley
+LazyData: yes
+Packaged: 2013-04-23 20:12:42 UTC; kelley
+NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2012-12-16 17:42:46
+Date/Publication: 2013-04-25 13:32:42

## oce 0.9-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-8
-Date: 2013-04-23
+Version: 0.9-10
+Date: 2013-05-18
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -18,7 +18,7 @@
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
 LazyData: yes
-Packaged: 2013-04-23 20:12:42 UTC; kelley
+Packaged: 2013-05-19 11:52:01 UTC; kelley
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-04-25 13:32:42
+Date/Publication: 2013-05-19 15:05:08

=== man/figures/Makefile ===
all: adpgeometry.png adpgeometry2.png adp_beams.png starCoords.png
%.png:%.R
	R --no-save < $<
clean:
	rm -f *~

## oce 0.9-12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-10
-Date: 2013-05-18
+Version: 0.9-12
+Date: 2013-07-04
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -18,7 +18,7 @@
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
 LazyData: yes
-Packaged: 2013-05-19 11:52:01 UTC; kelley
+Packaged: 2013-07-04 23:41:40.802 UTC; kelley
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-05-19 15:05:08
+Date/Publication: 2013-07-05 07:27:42

## oce 0.9-13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-12
-Date: 2013-07-04
+Version: 0.9-13
+Date: 2014-01-27
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -18,7 +18,7 @@
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
 LazyData: yes
-Packaged: 2013-07-04 23:41:40.802 UTC; kelley
+Packaged: 2014-01-29 15:10:18.316 UTC; kelley
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-07-05 07:27:42
+Date/Publication: 2014-01-29 18:47:09

## oce 0.9-14

=== DESCRIPTION ===
Package: oce
Version: 0.9-14
Date: 2014-05-19
Title: Analysis of Oceanographic data
Author: Dan Kelley <Dan.Kelley@Dal.Ca>
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods, mapproj
Suggests: ocedata, foreign, ncdf4, tiff
BugReports:
        https://github.com/dankelley/oce/issues?sort=created&direction=desc&state=open
Description: Supports the analysis of Oceanographic data,
 including ADP measurements, CTD measurements, sectional
 data, sea-level time series, coastline files, etc.  
 Provides functions for calculating seawater properties 
 such as potential temperature and density, as well as 
 derived properties such as buoyancy frequency and 
 dynamic height.
License: GPL (>= 2)
URL: http://dankelley.github.com/oce/
LazyLoad: yes
LazyData: no
Packaged: 2014-05-19 11:57:39.324 UTC; kelley
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-05-19 14:26:07

## oce 0.9-16

=== DESCRIPTION ===
Package: oce
Version: 0.9-16
Date: 2015-05-19
Title: Analysis of Oceanographic Data
Authors@R: c(person("Dan", "Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
 person("Clark", "Richards", email="clark.richards@gmail.com", role=c("aut")),
 person("Chantelle", "Layton", email="chantelle.layton@dal.ca", role=c("ctb","cph"), comment="curl() coauthor"),
 person("Gerald", "Evenden", role=c("ctb","cph"), comment="PROJ.4 author"),
 person("Frank", "Warmerdam", email="warmerdam@pobox.com", role=c("ctb","cph"), comment="PROJ.4 author"),
 person("Howard", "Butler", email="howard@hobu.co", role=c("ctb","cph"), comment="PROJ.4 author"),
 person("Brent", "Fraser", email="bfraser@geoanalytic.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Chris", "Stuber", email="imap@chesapeake.net", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Craig", "Bruce", email="cbruce@cubewerx.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Victor", "Osipkov", email="vctos@email.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Andrea", "Antonello", email="andrea.antonello@hydrologis.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Charles", "Karney", email="charles.karney@sri.com", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Karsten", "Engsager", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Knud", "Poder", role=c("ctb","cph"), comment="PROJ.4 contributor"),
 person("Robert", "Gentleman", role=c("ctb","cph"), comment="author of approx() code, used in binmapAdp()"),
 person("Ross", "Ihaka", role=c("ctb","cph"), comment="author of approx() code, used in binmapAdp()"))
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods, gsw
Suggests: ocedata, foreign, mapproj, ncdf4, tiff, akima, proj4,
        RSQLite, DBI
BugReports:
        https://github.com/dankelley/oce/issues?sort=created&direction=desc&state=open
Description: Supports the analysis of Oceanographic data, including ADCP
 measurements, CTD measurements, sectional data, sea-level time series,
 coastline files, etc.  Handles dozens of specialized functions for calculating
 seawater properties such as potential temperature and density, as well as
 derived properties such as buoyancy frequency and dynamic height. Map projections
 are calculated using PROJ.4 functions included within the oce.
License: GPL (>= 2)
URL: http://dankelley.github.com/oce/
LazyLoad: yes
LazyData: no
Packaged: 2015-05-20 15:16:32.980 UTC; kelley
NeedsCompilation: yes
Author: Dan Kelley [aut, cre],
  Clark Richards [aut],
  Chantelle Layton [ctb, cph] (curl() coauthor),
  Gerald Evenden [ctb, cph] (PROJ.4 author),
  Frank Warmerdam [ctb, cph] (PROJ.4 author),
  Howard Butler [ctb, cph] (PROJ.4 author),
  Brent Fraser [ctb, cph] (PROJ.4 contributor),
  Chris Stuber [ctb, cph] (PROJ.4 contributor),
  Craig Bruce [ctb, cph] (PROJ.4 contributor),
  Victor Osipkov [ctb, cph] (PROJ.4 contributor),
  Andrea Antonello [ctb, cph] (PROJ.4 contributor),
  Charles Karney [ctb, cph] (PROJ.4 contributor),
  Karsten Engsager [ctb, cph] (PROJ.4 contributor),
  Knud Poder [ctb, cph] (PROJ.4 contributor),
  Robert Gentleman [ctb, cph] (author of approx() code, used in
    binmapAdp()),
  Ross Ihaka [ctb, cph] (author of approx() code, used in binmapAdp())
Repository: CRAN
Date/Publication: 2015-05-21 01:06:41

## oce 0.9-17

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-16
-Date: 2015-05-19
+Version: 0.9-17
+Date: 2015-05-21
 Title: Analysis of Oceanographic Data
 Authors@R: c(person("Dan", "Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
  person("Clark", "Richards", email="clark.richards@gmail.com", role=c("aut")),
@@ -34,7 +34,7 @@
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
 LazyData: no
-Packaged: 2015-05-20 15:16:32.980 UTC; kelley
+Packaged: 2015-05-21 16:02:45.424 UTC; kelley
 NeedsCompilation: yes
 Author: Dan Kelley [aut, cre],
   Clark Richards [aut],
@@ -54,4 +54,4 @@
     binmapAdp()),
   Ross Ihaka [ctb, cph] (author of approx() code, used in binmapAdp())
 Repository: CRAN
-Date/Publication: 2015-05-21 01:06:41
+Date/Publication: 2015-05-22 07:54:10

## oce 0.9-18

=== DESCRIPTION ===
Package: oce
Version: 0.9-18
Date: 2016-02-11
Title: Analysis of Oceanographic Data
Authors@R: c(person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
 person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut")),
 person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb","cph"), comment="curl() coauthor"),
 person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field fortran subroutine"))
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods, gsw
Suggests: ocedata, foreign, mapproj, ncdf4, tiff, akima, RSQLite, DBI,
        rgdal, R.utils, testthat, knitr
BugReports: https://github.com/dankelley/oce/issues?
        sort=created&direction=desc&state=open
Description: Supports the analysis of Oceanographic data, including 'ADCP'
    measurements, measurements made with 'argo' floats, 'CTD' measurements, sectional
    data, sea-level time series, coastline and topographic data, etc. Provides
    specialized functions for calculating seawater properties such as potential
    temperature in either the 'UNESCO' or 'TEOS-10' equation of state. Produces
    graphical displays that conform to the conventions of the Oceanographic literature.
License: GPL (>= 2)
URL: http://dankelley.github.com/oce/
LazyLoad: yes
LazyData: no
Packaged: 2016-02-11 14:51:57.294 UTC; kelley
Encoding: UTF-8
RoxygenNote: 5.0.1
VignetteBuilder: knitr
NeedsCompilation: yes
Author: Dan Kelley [aut, cre],
  Clark Richards [aut],
  Chantelle Layton [ctb, cph] (curl() coauthor),
  British Geological Survey [ctb, cph] (magnetic-field fortran
    subroutine)
Repository: CRAN
Date/Publication: 2016-02-12 01:36:29

## oce 0.9-19

=== DESCRIPTION ===
Package: oce
Version: 0.9-19
Date: 2016-07-06
Title: Analysis of Oceanographic Data
Authors@R: c(person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
 person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut")),
 person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb","cph"), comment="curl() coauthor"),
 person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field fortran subroutine"))
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods, gsw
Suggests: ocedata, foreign, ncdf4, tiff, akima, RSQLite, DBI, rgdal (>=
        1.1-9), R.utils, testthat, knitr
BugReports: https://github.com/dankelley/oce/issues
Description: Supports the analysis of Oceanographic data, including 'ADCP'
    measurements, measurements made with 'argo' floats, 'CTD' measurements,
    sectional data, sea-level time series, coastline and topographic data, etc.
    Provides specialized functions for calculating seawater properties such as
    potential temperature in either the 'UNESCO' or 'TEOS-10' equation of state.
    Produces graphical displays that conform to the conventions of the Oceanographic
    literature.
License: GPL (>= 2)
URL: http://dankelley.github.com/oce/
LazyLoad: yes
LazyData: no
Packaged: 2016-07-08 11:44:18.000 UTC; kelley
Encoding: UTF-8
RoxygenNote: 5.0.1
VignetteBuilder: knitr
NeedsCompilation: yes
Author: Dan Kelley [aut, cre],
  Clark Richards [aut],
  Chantelle Layton [ctb, cph] (curl() coauthor),
  British Geological Survey [ctb, cph] (magnetic-field fortran
    subroutine)
Repository: CRAN
Date/Publication: 2016-07-08 17:23:15

## oce 0.9-20

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Package: oce
-Version: 0.9-19
-Date: 2016-07-06
+Version: 0.9-20
+Date: 2016-11-18
 Title: Analysis of Oceanographic Data
 Authors@R: c(person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
  person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut")),
- person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb","cph"), comment="curl() coauthor"),
- person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field fortran subroutine"))
+ person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb"), comment="curl() coauthor"),
+ person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field subroutine"),
+ person(given="Pablo", family="Valdés", role=c("ctb"), comment="Spanish translation of messages"))
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
 Depends: R (>= 2.15), utils, methods, gsw
 Suggests: ocedata, foreign, ncdf4, tiff, akima, RSQLite, DBI, rgdal (>=
@@ -22,15 +23,15 @@
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
 LazyData: no
-Packaged: 2016-07-08 11:44:18.000 UTC; kelley
+Packaged: 2016-11-19 02:33:19 UTC; kelley
 Encoding: UTF-8
 RoxygenNote: 5.0.1
 VignetteBuilder: knitr
 NeedsCompilation: yes
 Author: Dan Kelley [aut, cre],
   Clark Richards [aut],
-  Chantelle Layton [ctb, cph] (curl() coauthor),
-  British Geological Survey [ctb, cph] (magnetic-field fortran
-    subroutine)
+  Chantelle Layton [ctb] (curl() coauthor),
+  British Geological Survey [ctb, cph] (magnetic-field subroutine),
+  Pablo Valdés [ctb] (Spanish translation of messages)
 Repository: CRAN
-Date/Publication: 2016-07-08 17:23:15
+Date/Publication: 2016-11-19 15:36:34

## oce 0.9-21

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.9-20
-Date: 2016-11-18
+Version: 0.9-21
+Date: 2017-03-29
 Title: Analysis of Oceanographic Data
 Authors@R: c(person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
  person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut")),
@@ -10,7 +10,7 @@
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
 Depends: R (>= 2.15), utils, methods, gsw
 Suggests: ocedata, foreign, ncdf4, tiff, akima, RSQLite, DBI, rgdal (>=
-        1.1-9), R.utils, testthat, knitr
+        1.1-9), R.utils, testthat, knitr, marmap, lubridate
 BugReports: https://github.com/dankelley/oce/issues
 Description: Supports the analysis of Oceanographic data, including 'ADCP'
     measurements, measurements made with 'argo' floats, 'CTD' measurements,
@@ -23,9 +23,9 @@
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
 LazyData: no
-Packaged: 2016-11-19 02:33:19 UTC; kelley
+Packaged: 2017-03-30 14:50:06 UTC; kelley
 Encoding: UTF-8
-RoxygenNote: 5.0.1
+RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: yes
 Author: Dan Kelley [aut, cre],
@@ -34,4 +34,4 @@
   British Geological Survey [ctb, cph] (magnetic-field subroutine),
   Pablo Valdés [ctb] (Spanish translation of messages)
 Repository: CRAN
-Date/Publication: 2016-11-19 15:36:34
+Date/Publication: 2017-03-30 15:41:20 UTC

## oce 0.9-22

=== DESCRIPTION ===
Package: oce
Type: Package
Title: Analysis of Oceanographic Data
Version: 0.9-22
Authors@R: c(person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
 person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut")),
 person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb"), comment="curl() coauthor"),
 person(given="British Geological Survey", role=c("ctb","cph"), comment="magnetic-field subroutine"))
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.15), utils, methods, gsw, testthat
Suggests: ocedata, foreign, ncdf4, tiff, akima, RSQLite, DBI, rgdal (>=
        1.1-9), R.utils, knitr, rmarkdown, marmap, lubridate
BugReports: https://github.com/dankelley/oce/issues
Description: Supports the analysis of Oceanographic data, including 'ADCP'
    measurements, measurements made with 'argo' floats, 'CTD' measurements,
    sectional data, sea-level time series, coastline and topographic data, etc.
    Provides specialized functions for calculating seawater properties such as
    potential temperature in either the 'UNESCO' or 'TEOS-10' equation of state.
    Produces graphical displays that conform to the conventions of the Oceanographic
    literature.
License: GPL (>= 2)
Encoding: UTF-8
URL: https://dankelley.github.io/oce
LazyData: false
RoxygenNote: 6.0.1
BuildVignettes: true
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2017-08-28 15:25:38 UTC; kelley
Author: Dan Kelley [aut, cre],
  Clark Richards [aut],
  Chantelle Layton [ctb] (curl() coauthor),
  British Geological Survey [ctb, cph] (magnetic-field subroutine)
Repository: CRAN
Date/Publication: 2017-08-28 18:50:30 UTC

## oce 0.9-23

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: oce
 Type: Package
 Title: Analysis of Oceanographic Data
-Version: 0.9-22
+Version: 0.9-23
 Authors@R: c(person(given="Dan", family="Kelley", email="Dan.Kelley@Dal.Ca", role=c("aut", "cre")),
  person(given="Clark", family="Richards", email="clark.richards@gmail.com", role=c("aut")),
  person(given="Chantelle", family="Layton", email="chantelle.layton@dal.ca", role=c("ctb"), comment="curl() coauthor"),
@@ -26,10 +26,10 @@
 BuildVignettes: true
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2017-08-28 15:25:38 UTC; kelley
+Packaged: 2018-01-28 19:14:15 UTC; kelley
 Author: Dan Kelley [aut, cre],
   Clark Richards [aut],
   Chantelle Layton [ctb] (curl() coauthor),
   British Geological Survey [ctb, cph] (magnetic-field subroutine)
 Repository: CRAN
-Date/Publication: 2017-08-28 18:50:30 UTC
+Date/Publication: 2018-01-28 21:13:31 UTC
